org.apache.cassandra.index.sasi.disk

## Class TokenTree.OnDiskToken

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.Token
  - - org.apache.cassandra.index.sasi.disk.TokenTree.OnDiskToken

All Implemented Interfaces:
  java.lang.Comparable<CombinedValue<java.lang.Long>>, java.lang.Iterable<DecoratedKey>, CombinedValue<java.lang.Long>

Enclosing class:
  TokenTree

    public static class TokenTree.OnDiskToken
    extends Token

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.disk.Token

`token`

### Constructor Summary

Constructors
Constructor and Description
`OnDiskToken(MappedBuffer buffer, long position, short leafSize, com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`com.carrotsearch.hppc.LongSet` `getOffsets()`
`static TokenTree.OnDiskToken` `getTokenAt(MappedBuffer buffer, int idx, short leafSize, com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)`
`java.util.Iterator<DecoratedKey>` `iterator()`
`void` `merge(CombinedValue<java.lang.Long> other)`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.Token

`compareTo, get`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### OnDiskToken

    public OnDiskToken(MappedBuffer buffer,
                       long position,
                       short leafSize,
                       com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)

### Method Detail

#### merge

    public void merge(CombinedValue<java.lang.Long> other)

#### iterator

    public java.util.Iterator<DecoratedKey> iterator()

#### getOffsets

    public com.carrotsearch.hppc.LongSet getOffsets()

Specified by:
  `getOffsets` in class `Token`

#### getTokenAt

    public static TokenTree.OnDiskToken getTokenAt(MappedBuffer buffer,
                                                   int idx,
                                                   short leafSize,
                                                   com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)